﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

 
@model Toyota.Common.Web.MVC.ModelHolder       
           
@{    
    var mmProdMonthDate = TempData["MMProdMonth"] as string;
}

<div style="display:block; float:left; width:100%" >

<table border="0" cellpadding="3" cellspacing="3">
   <tr>
   <td style="padding-left:10px">Production Month <span style="color:Red;">*</span></td>
   <td>
    @Html.DevExpress().TextBox(
                    SetText =>
                    {
                        SetText.Name = "PO_MONTH";
                        SetText.Properties.EnableClientSideAPI = true;
                        SetText.Text = ViewBag.FromDate;
                        
                        SetText.Width = 110;
                        
                    }).GetHtml()
   </td>
   <td>&nbsp;</td>

        <td>PO Number</td>
        <td>         
         @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "PO_NO";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 110;
                settings.Properties.MaxLength = 11;
                //settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";    
            }).GetHtml()
         </td>
         <td>&nbsp;</td>
         <td>PO Date</td>
         <td>
         
          @Html.DevExpress().DateEdit(
                dateEdit =>
                {
                    dateEdit.Name = "PODate1";
                    dateEdit.Width = Unit.Pixel(100);
                    dateEdit.Properties.EditFormat = EditFormat.Custom;
                    dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateEdit.Date = DateTime.Now.AddDays(0);
                    dateEdit.Properties.AllowUserInput = false;
                    dateEdit.Style.Add("display", "inline-table");
                }).GetHtml()
            
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = " - ";
                label.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                label.ControlStyle.VerticalAlign = VerticalAlign.Top;
            }).GetHtml()

          @Html.DevExpress().DateEdit(
                dateEdit =>
                {
                    dateEdit.Name = "PODate2";
                    dateEdit.Width = Unit.Pixel(100);
                    dateEdit.Properties.EditFormat = EditFormat.Custom;
                    dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateEdit.Date = DateTime.Now.AddDays(0);
                    dateEdit.Properties.AllowUserInput = false;
                    dateEdit.Style.Add("display", "inline-table");
                }).GetHtml()
         </td>
         <td>&nbsp;</td>
         <td>Status</td>
         <td>
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "PO_STATUS";
                    s.GridProperties.Name = "grlStatusHeaderGrid";
                    s.GridProperties.KeyFieldName = "SYSTEM_VALUE";
                    
                    s.Width = 130;
                    
                    s.GridProperties.Width = 200;
                    s.ReadOnly = true;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31203", Action = "StatusLookup" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(155);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    s.GridProperties.Settings.VerticalScrollableHeight = 152;
                    
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "SYSTEM_VALUE";
                        c.FieldName = "SYSTEM_VALUE";
                        
                        c.Caption = "Name";
                        //c.Width = Unit.Pixel(150);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                }
            ).Bind(ViewData["StatusLookup"]).GetHtml()
          </td>
   </tr>

</table>
<br />
<table cellpadding="3" cellspacing="3" border="0">
    <tr>
    <td  style="padding-left:10px">
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnRelease";
                settings.Text = "Release Approval";
                //settings.Width = Unit.Pixel(80);
                //settings.Style.Add("display", "inline-table");
                settings.ClientSideEvents.Click = "btnRelease_Click";
            }).GetHtml()
     </td>

     <td>
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnreject";
                settings.Text = "Reject";
                settings.Width = Unit.Pixel(80);
                settings.ClientSideEvents.Click = "btnreject_Click";
                settings.Style.Add("display", "inline-table");

            }).GetHtml()
     </td>

     <td>
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnDownload";
                settings.Text = "Download";
                settings.Width = Unit.Pixel(80);
                settings.Style.Add("display", "inline-table");
                settings.ClientSideEvents.Click = "DownloadData";

            }).GetHtml()
     </td>
     <td width="323px">&nbsp</td>
     <td>
     @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnView";
                button.Text = "Show Detail";
                button.Width = Unit.Pixel(100);
                button.Style.Add("display", "inline-table");
               // button.ClientSideEvents.Click = "ShowDetail";   
                button.ClientSideEvents.Click = "ShowDetail";   
            }).GetHtml()
      </td>
    
     <td>
                @Html.DevExpress().Button(
                        settings =>
                            {
                                settings.Name = "POSearchButton";
                                settings.Text = "Search";
                                settings.UseSubmitBehavior = true;
                                settings.Width = Unit.Pixel(80);
                                settings.Style.Add("display", "inline-table");
                                settings.ClientSideEvents.Click = "SearchData";
                            }
                        ).GetHtml()
       </td>
    
       <td>
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnClear";
                    settings.Text = "Clear";
                    settings.Width = Unit.Pixel(80);
                    settings.ClientSideEvents.Click = "ClearGrid";
                    settings.Style.Add("display", "inline-table");

                }).GetHtml()
        </td>
    
    
    
    
    
    
    </tr>
</table>
</div>
